<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Name: Prescription Item Entry Content Module
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449">
   <title>Prescription Item Entry Content Module</title>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]
Item: (PrescriptionItemEntry)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration
Item: (PrescriptionItemEntry)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration"
         id="d114e773-false-d2216e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="string(@classCode)=('SBADM')">(PrescriptionItemEntry): Der Wert von @classCode MUSS 'SBADM' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="string(@moodCode)=('INT')">6.3.4.2.3.1: Der Wert von @moodCode MUSS 'INT' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.2'][not(@nullFlavor)])&gt;=1">(PrescriptionItemEntry): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.2'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.2'][not(@nullFlavor)])&lt;=1">(PrescriptionItemEntry): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.2'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.24'][not(@nullFlavor)])&gt;=1">(PrescriptionItemEntry): Element hl7:templateId[@root='2.16.840.1.113883.10.20.1.24'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.24'][not(@nullFlavor)])&lt;=1">(PrescriptionItemEntry): Element hl7:templateId[@root='2.16.840.1.113883.10.20.1.24'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7'][not(@nullFlavor)])&gt;=1">(PrescriptionItemEntry): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7'][not(@nullFlavor)])&lt;=1">(PrescriptionItemEntry): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']|hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.8']|hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.9']|hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.10']|hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.11'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="$elmcount&gt;=1">(PrescriptionItemEntry): Auswahl (hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1'] oder hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.8'] oder hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.9'] oder hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.10'] oder hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.11']) enthält nicht genügend Elemente [min 1x]</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1'])&lt;=1">(PrescriptionItemEntry): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.8'])&lt;=1">(PrescriptionItemEntry): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.8'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.9'])&lt;=1">(PrescriptionItemEntry): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.9'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.10'])&lt;=1">(PrescriptionItemEntry): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.10'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.11'])&lt;=1">(PrescriptionItemEntry): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.11'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:id)&gt;=1">(PrescriptionItemEntry): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:code)&lt;=1">(PrescriptionItemEntry): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(PrescriptionItemEntry): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(PrescriptionItemEntry): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:statusCode[not(@nullFlavor)])&gt;=1">(PrescriptionItemEntry): Element hl7:statusCode[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:statusCode[not(@nullFlavor)])&lt;=1">(PrescriptionItemEntry): Element hl7:statusCode[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:effectiveTime[@operator='A'])&lt;=1">(PrescriptionItemEntry): Element hl7:effectiveTime[@operator='A'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:routeCode)&lt;=1">(PrescriptionItemEntry): Element hl7:routeCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:doseQuantity)&lt;=1">(PrescriptionItemEntry): Element hl7:doseQuantity kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:rateQuantity)&lt;=1">(PrescriptionItemEntry): Element hl7:rateQuantity kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:repeatNumber[not(@nullFlavor)])&gt;=1">(PrescriptionItemEntry): Element hl7:repeatNumber[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:repeatNumber[not(@nullFlavor)])&lt;=1">(PrescriptionItemEntry): Element hl7:repeatNumber[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:consumable)&gt;=1">(PrescriptionItemEntry): Element hl7:consumable ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:consumable)&lt;=1">(PrescriptionItemEntry): Element hl7:consumable kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.2'][not(@nullFlavor)]
Item: (PrescriptionItemEntry)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.2'][not(@nullFlavor)]"
         id="d114e782-false-d2455e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PrescriptionItemEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.9.1.3.2') or not(@root)">(PrescriptionItemEntry): Der Wert von @root MUSS '1.3.6.1.4.1.19376.1.9.1.3.2' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(PrescriptionItemEntry): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:templateId[@root='2.16.840.1.113883.10.20.1.24'][not(@nullFlavor)]
Item: (PrescriptionItemEntry)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:templateId[@root='2.16.840.1.113883.10.20.1.24'][not(@nullFlavor)]"
         id="d114e789-false-d2473e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PrescriptionItemEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="string(@root)=('2.16.840.1.113883.10.20.1.24') or not(@root)">(PrescriptionItemEntry): Der Wert von @root MUSS '2.16.840.1.113883.10.20.1.24' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(PrescriptionItemEntry): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7'][not(@nullFlavor)]
Item: (PrescriptionItemEntry)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7'][not(@nullFlavor)]"
         id="d114e796-false-d2491e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PrescriptionItemEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.5.3.1.4.7') or not(@root)">(PrescriptionItemEntry): Der Wert von @root MUSS '1.3.6.1.4.1.19376.1.5.3.1.4.7' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(PrescriptionItemEntry): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']
Item: (PrescriptionItemEntry)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']"
         id="d114e808-false-d2509e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PrescriptionItemEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.5.3.1.4.7.1') or not(@root)">(PrescriptionItemEntry): Der Wert von @root MUSS '1.3.6.1.4.1.19376.1.5.3.1.4.7.1' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(PrescriptionItemEntry): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.8']
Item: (PrescriptionItemEntry)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.8']"
         id="d114e813-false-d2527e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PrescriptionItemEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.5.3.1.4.8') or not(@root)">(PrescriptionItemEntry): Der Wert von @root MUSS '1.3.6.1.4.1.19376.1.5.3.1.4.8' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(PrescriptionItemEntry): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.9']
Item: (PrescriptionItemEntry)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.9']"
         id="d114e818-false-d2545e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PrescriptionItemEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.5.3.1.4.9') or not(@root)">(PrescriptionItemEntry): Der Wert von @root MUSS '1.3.6.1.4.1.19376.1.5.3.1.4.9' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(PrescriptionItemEntry): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.10']
Item: (PrescriptionItemEntry)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.10']"
         id="d114e823-false-d2563e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PrescriptionItemEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.5.3.1.4.10') or not(@root)">(PrescriptionItemEntry): Der Wert von @root MUSS '1.3.6.1.4.1.19376.1.5.3.1.4.10' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(PrescriptionItemEntry): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.11']
Item: (PrescriptionItemEntry)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.11']"
         id="d114e829-false-d2581e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PrescriptionItemEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.5.3.1.4.11') or not(@root)">(PrescriptionItemEntry): Der Wert von @root MUSS '1.3.6.1.4.1.19376.1.5.3.1.4.11' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(PrescriptionItemEntry): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:id
Item: (PrescriptionItemEntry)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:code
Item: (PrescriptionItemEntry)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:text[not(@nullFlavor)]
Item: (PrescriptionItemEntry)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:text[not(@nullFlavor)]"
         id="d114e845-false-d2624e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:reference[not(@nullFlavor)])&gt;=1">(PrescriptionItemEntry): Element hl7:reference[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:reference[not(@nullFlavor)])&lt;=1">(PrescriptionItemEntry): Element hl7:reference[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:text[not(@nullFlavor)]/hl7:reference[not(@nullFlavor)]
Item: (PrescriptionItemEntry)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:statusCode[not(@nullFlavor)]
Item: (PrescriptionItemEntry)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:statusCode[not(@nullFlavor)]"
         id="d114e852-false-d2658e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="string(@code)=('completed')">(PrescriptionItemEntry): Der Wert von @code MUSS 'completed' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.1.1.1
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:effectiveTime
Item: (DosageInstructionContent)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:effectiveTime"
         id="d2663e14-false-d2672e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.1.1.1-2016-01-08T130449.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DosageInstructionContent): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.1.1.1
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:effectiveTime[@operator='A']
Item: (DosageInstructionContent)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:effectiveTime[@operator='A']"
         id="d2663e19-false-d2683e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.1.1.1-2016-01-08T130449.html"
              test="string(@operator)=('A')">(DosageInstructionContent): Der Wert von @operator MUSS 'A' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.1.1.1
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:routeCode
Item: (DosageInstructionContent)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.1.1.1
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:approachSiteCode
Item: (DosageInstructionContent)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:approachSiteCode"
         id="d2663e32-false-d2708e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.1.1.1-2016-01-08T130449.html"
              test="count(hl7:originalText)&lt;=1">(DosageInstructionContent): Element hl7:originalText kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.1.1.1
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:approachSiteCode/hl7:originalText
Item: (DosageInstructionContent)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:approachSiteCode/hl7:originalText"
         id="d2663e36-false-d2728e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.1.1.1-2016-01-08T130449.html"
              test="count(hl7:reference)&gt;=1">(DosageInstructionContent): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.1.1.1-2016-01-08T130449.html"
              test="count(hl7:reference)&lt;=1">(DosageInstructionContent): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.1.1.1
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:approachSiteCode/hl7:originalText/hl7:reference
Item: (DosageInstructionContent)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:approachSiteCode/hl7:originalText/hl7:reference"
         id="d2663e38-false-d2751e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.1.1.1-2016-01-08T130449.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DosageInstructionContent): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.1.1.1
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:doseQuantity
Item: (DosageInstructionContent)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.1.1.1
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:rateQuantity
Item: (DosageInstructionContent)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.1.1.1
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration]
Item: (DosageInstructionContent)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration]"
         id="d2663e52-false-d2784e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.1.1.1-2016-01-08T130449.html"
              test="string(@typeCode)=('COMP')">(DosageInstructionContent): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.1.1.1-2016-01-08T130449.html"
              test="count(hl7:sequenceNumber[not(@nullFlavor)])&gt;=1">(DosageInstructionContent): Element hl7:sequenceNumber[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.1.1.1-2016-01-08T130449.html"
              test="count(hl7:sequenceNumber[not(@nullFlavor)])&lt;=1">(DosageInstructionContent): Element hl7:sequenceNumber[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.1.1.1-2016-01-08T130449.html"
              test="count(hl7:substanceAdministration)&lt;=1">(DosageInstructionContent): Element hl7:substanceAdministration kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.1.1.1
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration]/hl7:sequenceNumber[not(@nullFlavor)]
Item: (DosageInstructionContent)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration]/hl7:sequenceNumber[not(@nullFlavor)]"
         id="d2663e58-false-d2819e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.1.1.1-2016-01-08T130449.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DosageInstructionContent): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:INT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT"/>
      <let name="digitok" value="matches(string(@value), '^-?[1-9]\d*$|^+?\d*$')"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.1.1.1-2016-01-08T130449.html"
              test="$digitok or @nullFlavor">(DosageInstructionContent): @value ist keine gültige INT Zahl <value-of select="@value"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.1.1.1
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration]/hl7:substanceAdministration
Item: (DosageInstructionContent)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration]/hl7:substanceAdministration"
         id="d2663e60-false-d2836e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.1.1.1-2016-01-08T130449.html"
              test="count(hl7:consumable)&lt;=1">(DosageInstructionContent): Element hl7:consumable kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.1.1.1
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration]/hl7:substanceAdministration/hl7:consumable
Item: (DosageInstructionContent)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration]/hl7:substanceAdministration/hl7:consumable"
         id="d2663e62-false-d2856e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.1.1.1-2016-01-08T130449.html"
              test="count(hl7:manufacturedProduct)&lt;=1">(DosageInstructionContent): Element hl7:manufacturedProduct kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.1.1.1
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct
Item: (DosageInstructionContent)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct"
         id="d2663e64-false-d2876e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.1.1.1-2016-01-08T130449.html"
              test="count(hl7:manufacturedMaterial)&lt;=1">(DosageInstructionContent): Element hl7:manufacturedMaterial kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.1.1.1
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (DosageInstructionContent)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial"
         id="d2663e66-false-d2896e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.1.1.1-2016-01-08T130449.html"
              test="string(@nullFlavor)=('NA')">(DosageInstructionContent): Der Wert von @nullFlavor MUSS 'NA' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:repeatNumber[not(@nullFlavor)]
Item: (PrescriptionItemEntry)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:consumable
Item: (PrescriptionItemEntry)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:consumable"
         id="d114e870-false-d2921e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:manufacturedProduct)&gt;=1">(PrescriptionItemEntry): Element hl7:manufacturedProduct ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:manufacturedProduct)&lt;=1">(PrescriptionItemEntry): Element hl7:manufacturedProduct kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct
Item: (PrescriptionItemEntry)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2'][not(@nullFlavor)])&gt;=1">(PrescriptionItemEntry): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2'][not(@nullFlavor)])&lt;=1">(PrescriptionItemEntry): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.53'][not(@nullFlavor)])&gt;=1">(PrescriptionItemEntry): Element hl7:templateId[@root='2.16.840.1.113883.10.20.1.53'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.53'][not(@nullFlavor)])&lt;=1">(PrescriptionItemEntry): Element hl7:templateId[@root='2.16.840.1.113883.10.20.1.53'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2'][not(@nullFlavor)]
Item: (PrescriptionItemEntry)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2'][not(@nullFlavor)]">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PrescriptionItemEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.5.3.1.4.7.2') or not(@root)">(PrescriptionItemEntry): Der Wert von @root MUSS '1.3.6.1.4.1.19376.1.5.3.1.4.7.2' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(PrescriptionItemEntry): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:templateId[@root='2.16.840.1.113883.10.20.1.53'][not(@nullFlavor)]
Item: (PrescriptionItemEntry)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:templateId[@root='2.16.840.1.113883.10.20.1.53'][not(@nullFlavor)]">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PrescriptionItemEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="string(@root)=('2.16.840.1.113883.10.20.1.53') or not(@root)">(PrescriptionItemEntry): Der Wert von @root MUSS '2.16.840.1.113883.10.20.1.53' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(PrescriptionItemEntry): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:author
Item: (PrescriptionItemEntry)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:author"
         id="d114e892-false-d3066e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:time[not(@nullFlavor)])&gt;=1">(PrescriptionItemEntry): Element hl7:time[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:time[not(@nullFlavor)])&lt;=1">(PrescriptionItemEntry): Element hl7:time[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:author/hl7:time[not(@nullFlavor)]
Item: (PrescriptionItemEntry)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:entryRelationship[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.4.1']]
Item: (PrescriptionItemEntry)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:entryRelationship[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.4.1']]"
         id="d114e899-false-d3101e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="string(@typeCode)=('RSON')">(PrescriptionItemEntry): Der Wert von @typeCode MUSS 'RSON' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:entryRelationship[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.4.1']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.4.1']
Item: (PrescriptionItemEntry)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:entryRelationship[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.4.1']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.4.1']"
         id="d114e905-false-d3123e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.4.1'])&gt;=1">(PrescriptionItemEntry): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.4.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.4.1'])&lt;=1">(PrescriptionItemEntry): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.4.1'] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:entryRelationship[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.4.1']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.4.1']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.4.1']
Item: (PrescriptionItemEntry)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:entryRelationship[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.4.1']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.4.1']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.4.1']"
         id="d114e907-false-d3146e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PrescriptionItemEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.5.3.1.4.4.1')">(PrescriptionItemEntry): Der Wert von @root MUSS '1.3.6.1.4.1.19376.1.5.3.1.4.4.1' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:entryRelationship[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.3']]
Item: (PrescriptionItemEntry)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:entryRelationship[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.3']]"
         id="d114e914-false-d3165e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="string(@typeCode)=('SUBJ')">(PrescriptionItemEntry): Der Wert von @typeCode MUSS 'SUBJ' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="string(@inversionInd)=('true')">(PrescriptionItemEntry): Der Wert von @inversionInd MUSS 'true' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:entryRelationship[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.3']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.3']
Item: (PrescriptionItemEntry)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:entryRelationship[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.3']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.3']"
         id="d114e922-false-d3191e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3'])&gt;=1">(PrescriptionItemEntry): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3'])&lt;=1">(PrescriptionItemEntry): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3'] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:entryRelationship[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.3']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.3']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3']
Item: (PrescriptionItemEntry)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:entryRelationship[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.3']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.3']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3']"
         id="d114e924-false-d3214e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PrescriptionItemEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.5.3.1.4.3')">(PrescriptionItemEntry): Der Wert von @root MUSS '1.3.6.1.4.1.19376.1.5.3.1.4.3' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:entryRelationship[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']]
Item: (PrescriptionItemEntry)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:entryRelationship[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']]"
         id="d114e931-false-d3233e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="string(@typeCode)=('SUBJ')">(PrescriptionItemEntry): Der Wert von @typeCode MUSS 'SUBJ' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="string(@inversionInd)=('true')">(PrescriptionItemEntry): Der Wert von @inversionInd MUSS 'true' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:entryRelationship[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']
Item: (PrescriptionItemEntry)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:entryRelationship[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']"
         id="d114e939-false-d3259e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1'])&gt;=1">(PrescriptionItemEntry): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1'])&lt;=1">(PrescriptionItemEntry): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1'] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:entryRelationship[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']
Item: (PrescriptionItemEntry)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:entryRelationship[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']]/hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']"
         id="d114e941-false-d3282e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PrescriptionItemEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.5.3.1.4.3.1')">(PrescriptionItemEntry): Der Wert von @root MUSS '1.3.6.1.4.1.19376.1.5.3.1.4.3.1' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:entryRelationship
Item: (PrescriptionItemEntry)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:entryRelationship"
         id="d114e949-false-d3300e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="string(@typeCode)=('COMP')">(PrescriptionItemEntry): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:entryRelationship/hl7:supply
Item: (PrescriptionItemEntry)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:entryRelationship/hl7:supply"
         id="d114e955-false-d3320e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="string(@classCode)=('SPLY')">(PrescriptionItemEntry): Der Wert von @classCode MUSS 'SPLY' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="string(@moodCode)=('RQO')">(PrescriptionItemEntry): Der Wert von @moodCode MUSS 'RQO' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:independentInd[not(@nullFlavor)])&gt;=1">(PrescriptionItemEntry): Element hl7:independentInd[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:independentInd[not(@nullFlavor)])&lt;=1">(PrescriptionItemEntry): Element hl7:independentInd[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:quantity)&lt;=1">(PrescriptionItemEntry): Element hl7:quantity kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:entryRelationship/hl7:supply/hl7:independentInd[not(@nullFlavor)]
Item: (PrescriptionItemEntry)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:entryRelationship/hl7:supply/hl7:independentInd[not(@nullFlavor)]"
         id="d114e961-false-d3359e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="string(@value)=('false')">(PrescriptionItemEntry): Der Wert von @value MUSS 'false' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:entryRelationship/hl7:supply/hl7:quantity
Item: (PrescriptionItemEntry)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:reference
Item: (PrescriptionItemEntry)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:reference"
         id="d114e975-false-d3385e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="string(@typeCode)=('XCRPT')">(PrescriptionItemEntry): Der Wert von @typeCode MUSS 'XCRPT' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:externalDocument)&gt;=1">(PrescriptionItemEntry): Element hl7:externalDocument ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:externalDocument)&lt;=1">(PrescriptionItemEntry): Element hl7:externalDocument kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:reference/hl7:externalDocument
Item: (PrescriptionItemEntry)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:reference/hl7:externalDocument"
         id="d114e981-false-d3411e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:id)&gt;=1">(PrescriptionItemEntry): Element hl7:id ist required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:reference/hl7:externalDocument/hl7:id
Item: (PrescriptionItemEntry)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:precondition
Item: (PrescriptionItemEntry)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:precondition"
         id="d114e987-false-d3442e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:criterion)&gt;=1">(PrescriptionItemEntry): Element hl7:criterion ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:criterion)&lt;=1">(PrescriptionItemEntry): Element hl7:criterion kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:precondition/hl7:criterion
Item: (PrescriptionItemEntry)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:precondition/hl7:criterion"
         id="d114e991-false-d3465e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:text)&gt;=1">(PrescriptionItemEntry): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:text)&lt;=1">(PrescriptionItemEntry): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:precondition/hl7:criterion/hl7:text
Item: (PrescriptionItemEntry)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:precondition/hl7:criterion/hl7:text"
         id="d114e993-false-d3488e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:reference)&gt;=1">(PrescriptionItemEntry): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="count(hl7:reference)&lt;=1">(PrescriptionItemEntry): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.9.1.3.2
Context: *[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:precondition/hl7:criterion/hl7:text/hl7:reference
Item: (PrescriptionItemEntry)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:substanceAdministration/hl7:precondition/hl7:criterion/hl7:text/hl7:reference"
         id="d114e995-false-d3511e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20160715T172234/tmp-1.3.6.1.4.1.19376.1.9.1.3.2-2016-01-08T130449.html"
              test="@value">(PrescriptionItemEntry): Attribut @value MUSS vorkommen.</assert>
   </rule>
</pattern>
